<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        {% if title %}
        <title>CIMS - {{ title }}</title>
        {% else %}
        <title>CIMS</title>
        {% endif %}
        <link href="{{ url_for('static', filename='css/bootstrap.min.css') }}" rel="stylesheet">
        <link href="{{ url_for('static', filename='css/main.css') }}" rel="stylesheet" type="text/css">
        <link href="{{ url_for('static', filename='css/all.min.css') }}" rel="stylesheet" type="text/css">
    </head>
    <body>
	    <header class="site-header">
            <nav class="navbar navbar-expand-md fixed-top">
                <div class="container">
                    <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                        data-bs-target="#navbarTogglerDemo01" aria-controls="navbarTogglerDemo01" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarTogglerDemo01">
	                    <a class="navbar-brand" href="/">CIMS Hospital</a>
	                    {% if current_user.is_authenticated %}
		                    <div class="navbar-nav mr-auto">
		                        <a class="nav-item nav-link" href="{{ url_for('main.home') }}">Home</a>
		                        <a class="nav-item nav-link" href="{{ url_for('main.about') }}">About</a>
		                    </div>
	                    {% endif %}
                    </div>
	                <div class="navbar-nav">
		                {% if current_user.is_authenticated %}
			                {% if current_user.user_type.value == 'hospital_admin' %}
				                <a class="nav-item nav-link" href="{{ url_for('diseases.diseases_list') }}">Diseases</a>
				                <a class="nav-item nav-link" href="{{ url_for('doctor.doctor_list') }}">Doctors</a>
			                {% elif current_user.user_type.value == 'doctor' %}
				                <a class="nav-item nav-link" href="{{ url_for('doctor.profile',
				                doctors_id=current_user.id) }}">Profile</a>
				                <a class="nav-item nav-link" href="{{ url_for('doctor.doctor_appointments') }}">Appointments</a>
			                {% elif current_user.user_type.value == 'patient' %}
				                <a class="nav-item nav-link" href="{{ url_for('patient.patient_profile',
				                patient_id=current_user.id) }}">Profile</a>
				                <a class="nav-item nav-link" href="{{ url_for('patient.appointments_list') }}">Appointments</a>
			                {% endif %}
			                <a class="nav-link" href="#" style="color: white">Welcome {{ current_user.name }} !</a>
	                        <a class="nav-item nav-link" href="{{ url_for('users.logout') }}">Logout</a>
                        {% endif %}
	                </div>
                </div>
            </nav>
        </header>
        <main role="main" class="container">
            {% with messages = get_flashed_messages(with_categories=true) %}
                {% if messages %}
                    {% for category, message in messages %}
                        <div class="alert alert-{{ category }}">{{ message }}</div>
                    {% endfor %}
                {% endif %}
            {% endwith %}
            {% block content %}{% endblock content %}
        </main>
        <footer style="text-align: center;color: #f0f0f0;">Copyright &#169; CIMS. </footer>
	    <div class="pulse" id="loader"></div>
	    <script src="{{ url_for('static', filename='js/jquery.js') }}"></script>
	    <script src="{{ url_for('static', filename='js/jquery.validate.min.js') }}"></script>
        <script src="{{ url_for('static', filename='js/bootstrap.min.js') }}"></script>
        <script src="{{ url_for('static', filename='js/all.min.js') }}"></script>
        {% block jquery %}{% endblock jquery %}
    </body>
</html>